Skip to main content
PUT
/
v1
/
projects
/
{project_identifier}
/
annotation_configs
/
{config_identifier}
Assign an annotation configuration to a project
curl --request PUT \
  --url https://api.example.com/v1/projects/{project_identifier}/annotation_configs/{config_identifier}
import requests

url = "https://api.example.com/v1/projects/{project_identifier}/annotation_configs/{config_identifier}"

response = requests.put(url)

print(response.text)
const options = {method: 'PUT'};

fetch('https://api.example.com/v1/projects/{project_identifier}/annotation_configs/{config_identifier}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "name": "<string>",
    "type": "<string>",
    "values": [
      {
        "label": "<string>",
        "score": 123
      }
    ],
    "id": "<string>",
    "description": "<string>"
  }
}
"<string>"
"<string>"
"<string>"

Path Parameters

project_identifier
string
required

The project identifier: either project ID or project name.

config_identifier
string
required

The annotation configuration identifier: either ID or name.

Response

The annotation configuration assigned to the project

data
CategoricalAnnotationConfig · object
required